Summary: Monitorix v0.8.3
Name: monitorix
Version: 0.8.3
Release: 1
License: GPL
Group: Applications/System/Monitoring
URL: http://www.monitorix.org
Distribution: RedHat/FedoraCore Linux
Vendor: Fibranet NSP, SL
Packager: Jordi Sanfeliu <admin@fibranet.cat>

Source: %{name}-%{version}.tar.gz
Requires: bash, rrdtool, perl
BuildRoot: /var/tmp/%{name}-build
BuildArch: noarch

%description
Monitorix is a free, open source, lightweight system monitoring tool designed
to monitorize as many services as it can. At this time it monitors from the CPU
load and temperatures to the users using the system. Network devices activity,
network services demand and even the devices' interrupt activity are also
monitored. The current status of any corporate Linux server with Monitorix
installed can be accessed via a web browser.
It has been designed to be used under production UNIX/Linux servers, but you
can use it on your laptop or on your Linux box at home as well.
Initially all the tool development was based on Red Hat Linux and Fedora Core distributions, so this project was made keeping in mind these distributions.
Since 0.8.0 version now is easier to port it to other Linux distributions and even on other UNIX systems like FreeBSD.
We need someone who have enough time to create adaptations for other Linux
distributions like Debian, Gentoo, SuSe, Ubuntu, etc.

%prep
%setup -q

%build

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
install -m 0755 ports/Linux-RHFC/monitorix.init ${RPM_BUILD_ROOT}/etc/init.d/monitorix
mkdir -p ${RPM_BUILD_ROOT}/etc/httpd/conf.d
install -m 0644 monitorix-apache.conf ${RPM_BUILD_ROOT}/etc/httpd/conf.d/monitorix.conf
mkdir -p ${RPM_BUILD_ROOT}/etc
install -m 0644 monitorix.conf ${RPM_BUILD_ROOT}/etc/monitorix.conf
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
install -m 0755 monitorix.pl ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/var/www/html/monitorix
install -m 0644 logo_top.jpg ${RPM_BUILD_ROOT}/var/www/html/monitorix
install -m 0644 logo_bot_black.png ${RPM_BUILD_ROOT}/var/www/html/monitorix
install -m 0644 logo_bot_white.png ${RPM_BUILD_ROOT}/var/www/html/monitorix
install -m 0644 envelope.png ${RPM_BUILD_ROOT}/var/www/html/monitorix
mkdir -p ${RPM_BUILD_ROOT}/var/www/html/monitorix/imgs
mkdir -p ${RPM_BUILD_ROOT}/var/www/cgi-bin/monitorix
install -m 0755 monitorix.cgi ${RPM_BUILD_ROOT}/var/www/cgi-bin
install -m 0755 localhost.cgi ${RPM_BUILD_ROOT}/var/www/cgi-bin/monitorix
mkdir -p ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca/imgs_email
install -m 0644 reports/ca/traffic_report.html ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca
install -m 0755 reports/ca/traffic_report.sh ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca
install -m 0644 reports/ca/imgs_email/blank.png ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca/imgs_email
install -m 0644 reports/ca/imgs_email/logo.jpg ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca/imgs_email
install -m 0644 reports/ca/imgs_email/signature.png ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca/imgs_email
install -m 0644 reports/ca/imgs_email/title.jpg ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca/imgs_email
mkdir -p ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en/imgs_email
install -m 0644 reports/en/traffic_report.html ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en
install -m 0755 reports/en/traffic_report.sh ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en
install -m 0644 reports/en/imgs_email/blank.png ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en/imgs_email
install -m 0644 reports/en/imgs_email/logo.jpg ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en/imgs_email
install -m 0644 reports/en/imgs_email/signature.png ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en/imgs_email
install -m 0644 reports/en/imgs_email/title.jpg ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en/imgs_email
mkdir -p ${RPM_BUILD_ROOT}/var/lib/monitorix/usage

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add monitorix
mkdir -p /var/www/html/monitorix/imgs
mkdir -p /var/lib/monitorix/usage
chown apache:apache /var/www/html/monitorix/imgs

%files
%defattr(-, root, root)
/etc/init.d/monitorix
/etc/httpd/conf.d/monitorix.conf
%config(noreplace) /etc/monitorix.conf
/usr/sbin/monitorix.pl
%defattr(-, apache, apache)
/var/www/html/monitorix/logo_top.jpg
/var/www/html/monitorix/logo_bot_black.png
/var/www/html/monitorix/logo_bot_white.png
/var/www/html/monitorix/envelope.png
/var/www/cgi-bin/monitorix.cgi
/var/www/cgi-bin/monitorix/localhost.cgi
%config(noreplace) /var/lib/monitorix/reports/ca/traffic_report.html
%config(noreplace) /var/lib/monitorix/reports/ca/traffic_report.sh
%config(noreplace) /var/lib/monitorix/reports/ca/imgs_email/blank.png
%config(noreplace) /var/lib/monitorix/reports/ca/imgs_email/logo.jpg
%config(noreplace) /var/lib/monitorix/reports/ca/imgs_email/signature.png
%config(noreplace) /var/lib/monitorix/reports/ca/imgs_email/title.jpg
%config(noreplace) /var/lib/monitorix/reports/en/traffic_report.html
%config(noreplace) /var/lib/monitorix/reports/en/traffic_report.sh
%config(noreplace) /var/lib/monitorix/reports/en/imgs_email/blank.png
%config(noreplace) /var/lib/monitorix/reports/en/imgs_email/logo.jpg
%config(noreplace) /var/lib/monitorix/reports/en/imgs_email/signature.png
%config(noreplace) /var/lib/monitorix/reports/en/imgs_email/title.jpg
%defattr(-, root, root)
%doc COPYING Changes Configuration.help README TODO

%changelog
* Thu Sep 01 2005 Jordi Sanfeliu <admin@fibranet.cat>
- Release 0.7.8.
- First public release.
- All changes are described in the Changes file.

